Bug 734570 - Catalog needs to support v7-1.4 results.xml.gz results format.
Summary: Catalog needs to support v7-1.4 results.xml.gz results format.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Wei Shen
QA Contact: Guangze Bai
URL: http://hardware.redhat.com
Whiteboard:
Depends On: 690676
Blocks: 541780 722941 734577
TreeView+ depends on / blocked
 
Reported: 2011-08-30 18:56 UTC by Rob Landry
Modified: 2015-02-08 21:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-08 03:25:39 UTC


Attachments (Terms of Use)

Description Rob Landry 2011-08-30 18:56:44 UTC
Description of problem:

v7-1.4 will no longer build rhr2 formatted results.rpm's.  Instead it will use the hts native results.xml in a gzipped compressed format, this results format needs to be supported in the catalog.


Additional info:

The catalog user should not need to care which format the results are stored it should appear and flow the same with either format.

v7-1.3 will continue to create RPMs which means the catalog will need to support both formats for a period of time, no less than 90 days.

Comment 2 Wei Shen 2011-10-19 09:27:33 UTC
Created attachment 528945 [details]
the patch

Comment 5 Wei Shen 2011-10-20 01:46:45 UTC
Created attachment 529151 [details]
the xsl to get v7 version

Comment 6 Wei Shen 2011-10-20 01:47:38 UTC
Created attachment 529152 [details]
xsl to check the xml.gz file

Comment 7 Wei Shen 2011-10-20 01:48:34 UTC
Created attachment 529153 [details]
xsl to get the package tests

Comment 8 Wei Shen 2011-10-20 01:49:23 UTC
Created attachment 529154 [details]
xsl to get output.log

Comment 9 Wei Shen 2011-10-20 01:50:22 UTC
Created attachment 529155 [details]
xsl to get the hardware

Comment 10 Wei Shen 2011-10-20 01:51:06 UTC
Created attachment 529156 [details]
xsl to get the the attachment

Comment 12 Wei Shen 2011-10-21 06:36:21 UTC
it seems the formats of output.log and hardware.log have changed, catalog cannot parse the kernel version, please see  the attached rpm

Comment 13 Wei Shen 2011-10-21 06:37:33 UTC
Created attachment 529425 [details]
the test results

Comment 16 Wei Shen 2011-10-27 11:47:37 UTC
Created attachment 530464 [details]
patch to get a specific attachment


Note You need to log in before you can comment on or make changes to this bug.